rem echo off
time < time.inp > frund.lst
rem wprogres 1
if exist anaz.sts del anaz.sts
if exist viv.sts del viv.sts
if exist amodel.sts del amodel.sts
if exist dbmodelz.krt del dbmodelz.krt
if exist dbmodel.krt ren dbmodel.krt dbmodelz.krt
if exist rezrz del rezrz
if exist rezr ren rezr rezrz
if exist experim.krt copy experim.krt dbmodel.krt
if exist ~bl32z.tmp del ~bl32z.tmp
if exist ~bl32.tmp ren ~bl32.tmp ~bl32z.tmp
if exist expbl32.tmp copy expbl32.tmp ~bl32.tmp
efk2bt < efk.inp >> frund.lst
rem wprogres 3
copy fshell.upr  uprf
rem windos.exe
echo Идет анализ результатов
anaz < anaz.inp >> frund.lst
if not exist anaz.sts goto err1
echo Идет вывод результатов
viv  >> frund.lst
if not exist viv.sts goto err2
goto success
:err1
echo ошибка при обработке результатов
goto end
:err2
echo ошибка при выводе результатов
goto end
:success
wfile amodel.sts 1
echo Обработка завершена успешно
:end
wprogres 100
if exist dbmodel.krt del dbmodel.krt
if exist dbmodelz.krt ren dbmodelz.krt dbmodel.krt
if exist rezr del rezr
if exist rezrz ren rezrz rezr
if exist ~bl32.tmp del ~bl32.tmp
if exist ~bl32z.tmp ren ~bl32z.tmp ~bl32.tmp
rem time < time.inp >> frund.lst